package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dto.PayRollReportHarianLepasDto;
import com.jasamedika.medifirst2000.dto.PayRollReportUangMakanDto;

public interface PayRollReportingService {

	List<PayRollReportUangMakanDto> reportUangMakan(Integer detailKategoriPegawaiId,String periode);
	
	List<PayRollReportHarianLepasDto> reportHarianLepas(Integer detailKategoriPegawaiId,String periode);

	List<Map<String, Object>> reportRemunDokter(Integer statusPegawai,String periode);

	List<Map<String, Object>> reportPremiAsuransi(Integer statusPegawai,String periode);
}
